package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.UserCount;
import com.tzld.piaoquan.growth.common.model.po.UserCountExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserCountMapper {
    long countByExample(UserCountExample example);

    int deleteByExample(UserCountExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserCount record);

    int insertSelective(UserCount record);

    List<UserCount> selectByExample(UserCountExample example);

    UserCount selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserCount record, @Param("example") UserCountExample example);

    int updateByExample(@Param("record") UserCount record, @Param("example") UserCountExample example);

    int updateByPrimaryKeySelective(UserCount record);

    int updateByPrimaryKey(UserCount record);
}